//------------------------------------------------------------------------------------
// irr::gui::IGUITabControl wrappers
// do not delete a pointer to this
//------------------------------------------------------------------------------------
extern "C" 
{
	IGUITab* IrrGUI_IGUITabControl_addTab(IGUITabControl* tc,const wchar_t* caption,s32 id=-1)
	{
		if (tc)
			return tc->addTab(caption,id);
		else return 0;
	}
	
	s32 IrrGUI_IGUITabControl_getActiveTab(IGUITabControl* tc)
	{
		if (tc)
			return tc->getActiveTab();
		else return 0;
	}
	
	IGUITab* IrrGUI_IGUITabControl_getTab(IGUITabControl* tc,s32 idx)
	{
		if (tc)
			return tc->getTab(idx);
		else return 0;
	}
	
	s32 IrrGUI_IGUITabControl_getTabCount(IGUITabControl* tc)
	{
		if (tc)
			return tc->getTabCount();
		else return 0;
	}
	
	bool IrrGUI_IGUITabControl_setActiveTab(IGUITabControl* tc,s32 idx)
	{
		if (tc)
			return tc->setActiveTab(idx);
		else
			return false;
	}	
	
	bool IrrGUI_IGUITabControl_setActiveTabFromTab(IGUITabControl* tc,IGUIElement *tab)
	{
		if (tc)
			return tc->setActiveTab(tab);
		else return false;
	}

	void IrrGUI_IGUITabControl_setTabHeight(IGUITabControl* tc, s32 height)
	{
		if (tc)
			tc->setTabHeight(height);
	}

	s32 IrrGUI_IGUITabControl_getTabHeight(IGUITabControl* tc)
	{
		if (tc)
			return tc->getTabHeight();
		else return 0;
	}

	void IrrGUI_IGUITabControl_setTabVerticalAlignment(IGUITabControl* tc, gui::EGUI_ALIGNMENT alignment)
	{
		if (tc)
			tc->setTabVerticalAlignment(alignment);
	}

	s32 IrrGUI_IGUITabControl_getTabVerticalAlignment(IGUITabControl* tc)
	{
		if (tc)
			return tc->getTabVerticalAlignment();
		else return -1;
	}

	void IrrGUI_IGUITabControl_setTabExtraWidth(IGUITabControl* tc, s32 extraWidth)
	{
		if (tc)
			tc->setTabExtraWidth(extraWidth);
	}

	s32 IrrGUI_IGUITabControl_getTabExtraWidth(IGUITabControl* tc)
	{
		if (tc)
			return tc->getTabExtraWidth();
		else return 0;
	}
	
	void IrrGUI_IGUITabControl_setTabMaxWidth(IGUITabControl* tc, s32 width ) {
		if (tc)
			tc->setTabMaxWidth(width);
	}
		
	s32 IrrGUI_IGUITabControl_getTabMaxWidth(IGUITabControl* tc) {
		if (tc)
			return tc->getTabMaxWidth();
		else return -1;
	}
	
}